## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > ClrSelect

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_ClearSelection — Deselect a selection

### SYNOPSIS

#include <tk.h>
Tk_ClearSelection(tkwin, selection)

### ARGUMENTS

Tk_Window tkwin (in)
  The selection will be cleared from the display containing this window.

Atom selection (in)
  The name of selection to be cleared.

### DESCRIPTION

Tk_ClearSelection cancels the selection specified by the atom selection for the display containing tkwin. The selection need not be in tkwin itself or even in tkwin's application. If there is a window anywhere on tkwin's display that owns selection, the window will be notified and the selection will be cleared. If there is no owner for selection on the display, then the procedure has no effect.

### KEYWORDS

clear, selection
Copyright © 1992-1994 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.